<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

if (empty($_POST['fam_nombre'])) 
    {
        $errors[] = "Nombre vacío";
    } 
else if (!empty($_POST['fam_nombre']))
    {
        $fam_nombre=strtoupper(limpiar($_POST['fam_nombre']));
           
        $can1=mysqli_query($con,"SELECT * FROM familias where fam_nombre='$fam_nombre' AND empresa='$empresa'") or die(mysqli_error($con)); 
        $result = mysqli_num_rows($can1);
        if($result == 0)
            {
                $sql="INSERT into familias (fam_nombre,empresa) 
                      VALUES  ('$fam_nombre','$empresa')";
                $query_new_insert = mysqli_query($con,$sql);
                if ($query_new_insert)
                    {
                        $messages[] = "Familia ha sido ingresado satisfactoriamente.";
                    } 
                else
                    {
                        $errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
                    }
            }   
        else 
            {
                $errors []= "Nombre no disponible";
            }
    }
        
        if (isset($errors))
            {
            ?>
            <div class="alert alert-danger" role="alert">
                <button type="button" class="close" data-dismiss="alert">&times;</button>
                    <strong>Error!</strong> 
                    <?php
                        foreach ($errors as $error) 
                            {
                                echo $error;
                            }
                        ?>
            </div>
        <?php
            }
        if (isset($messages))
            {
            ?>
            <div class="alert alert-success" role="alert">
                        <button type="button" class="close" data-dismiss="alert">&times;</button>
                        <strong>¡Bien hecho!</strong>
                        <?php
                            foreach ($messages as $message) 
                            {
                                    echo $message;
                                }
                            ?>
            </div>
<?php   }  ?>